#!/bin/bash

# Script per installare pacchetti aggiuntivi nella distribuzione basata su
# Xubuntu 18.04 per le Voting Machine SmartMatic VIU-800

# Mostro un'introduzione rimandando a un URL specifico per ulteriori
# informazioni
zenity --info --no-wrap \
  --text 'Benvenuto nella procedura di installazione dei pacchetti aggiuntivi per il tuo sistema Xubuntu 18.04 per Voting Machine.\n\nCon questo strumento sarà possibile installare software aggiuntivo per il livello della scuola in cui la VM verrà utilizzata.\n\nAbbiamo scelto il software sulla base della nostra esperienza; il presente strumento installerà e configurerà tutti gli strumenti che abbamo ritenuto opportuno metterti a disposizione.\n\nPer ulteriori informazioni, puoi informarti a <a href="https://libreschool.org/voting-machines/software-aggiuntivo.php">questo indirizzo</a>.'

# Scelta dei pacchetti
answer=$(
zenity --list --checklist --multiple \
  --column Selezione --column Livello \
  FALSE "Primaria (richiesti)" \
  FALSE "Primaria (opzionali)" \
  FALSE "Secondaria (richiesti)" \
  FALSE "Secondaria (opzionali)"
)

if [[ ${#answer} -eq 0 ]]; then
  # Non è stato scelto alcun pacchetto.
  zenity --info --no-wrap \
    --text "Non è stato scelto alcun pacchetto aggiuntivo per l'installazione.\nRilanciare il programma per scegliere nuovamente un pacchetto."
  exit 0
fi

# Se arrivo qui, qualche risposta è stata fornita.
